/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ucp.model;

/**
 * Class represents a table with UCP metrics. This table is used for all UCP model elements.
 * 
 * @author Trifolium Alpestre
 */
public class UcpMetrics {
    
private int t[];
private int e[];
private double tcf;
private double ef;

private double schneiderwinters;
private double hoursPerUc;

private int complexity;

private double ucp;
private double hours;
private double hoursSW;

private int subUUCP;
private double subUCP;
private double subCasesHours;
private double subCasesHoursSW;


/**
 * 
 */
public UcpMetrics()
{
    this.t = new int [13];
    for(int i=0;i<13;i++) t[i] = 0;

    this.e = new int [8];
    for(int i=0;i<8;i++) e[i] = 0;
    
    this.tcf = 0;
    this.ef = 0;

    this.schneiderwinters  = 0;
    this.hoursPerUc  = 0;

    this.complexity  = 0;

    this.ucp  = 0;
    this.hours  = 0;
    this.hoursSW  = 0;

    this.subUUCP  = 0;
    this.subCasesHours  = 0;
    this.subCasesHoursSW  = 0;
}


/**
 * 
 * @param index
 * @param value
 */
public void setTx(int index, int value) {
        this.t[index] = value;
    }

    /**
     * 
     * @param index
     * @param value
     */
    public void setEx(int index, int value) {
        this.e[index] = value;
    }
    
    /**
     * 
     * @param index
     * @return
     */
    public int getTx(int index) {
        return t[index];
    }
    
    /**
     * 
     * @param index
     * @return
     */
    public int getEx(int index) {
        return e[index];
    }
    
    /**
     * 
     * @return
     */
    public int getComplexity() {
        return complexity;
    }

    /**
     * 
     * @param complexity
     */
    public void setComplexity(int complexity) {
        this.complexity = complexity;
    }

    /**
     * 
     * @return
     */
    public int[] getE() {
        return e;
    }

    /**
     * 
     * @param e
     */
    public void setE(int[] e) {
        this.e = e;
    }

    /**
     * 
     * @return
     */
    public double getEf() {
        return ef;
    }

    /**
     * 
     * @param ef
     */
    public void setEf(double ef) {
        this.ef = ef;
    }

    /**
     * 
     * @return
     */
    public double getHours() {
        return hours;
    }

    /**
     * 
     * @param hours
     */
    public void setHours(double hours) {
        this.hours = hours;
    }

    /**
     * 
     * @return
     */
    public double getHoursPerUc() {
        return hoursPerUc;
    }

    /**
     * 
     * @param hoursPerUc
     */
    public void setHoursPerUc(double hoursPerUc) {
        this.hoursPerUc = hoursPerUc;
    }

    /**
     * 
     * @return
     */
    public double getHoursSW() {
        return hoursSW;
    }

    /**
     * 
     * @param hoursSW
     */
    public void setHoursSW(double hoursSW) {
        this.hoursSW = hoursSW;
    }

    /**
     * 
     * @return
     */
    public double getSchneiderwinters() {
        return schneiderwinters;
    }

    /**
     * 
     * @param schneiderwinters
     */
    public void setSchneiderwinters(double schneiderwinters) {
        this.schneiderwinters = schneiderwinters;
    }

    /**
     * 
     * @return
     */
    public double getSubCasesHours() {
        return subCasesHours;
    }

    /**
     * 
     * @param subCasesHours
     */
    public void setSubCasesHours(double subCasesHours) {
        this.subCasesHours = subCasesHours;
    }

    /**
     * 
     * @return
     */
    public double getSubCasesHoursSW() {
        return subCasesHoursSW;
    }

    /**
     * 
     * @param subCasesHoursSW
     */
    public void setSubCasesHoursSW(double subCasesHoursSW) {
        this.subCasesHoursSW = subCasesHoursSW;
    }

    /**
     * 
     * @return
     */
    public int getSubUUCP() {
        return subUUCP;
    }

    /**
     * 
     * @param subUUCP
     */
    public void setSubUUCP(int subUUCP) {
        this.subUUCP = subUUCP;
    }

    /**
     * 
     * @return
     */
    public int[] getT() {
        return t;
    }

    /**
     * 
     * @param t
     */
    public void setT(int[] t) {
        this.t = t;
    }

    /**
     * 
     * @return
     */
    public double getTcf() {
        return tcf;
    }

    /**
     * 
     * @param tcf
     */
    public void setTcf(double tcf) {
        this.tcf = tcf;
    }

    /**
     * 
     * @return
     */
    public double getUcp() {
        return ucp;
    }

    /**
     * 
     * @param ucp
     */
    public void setUcp(double ucp) {
        this.ucp = ucp;
    }

    /**
     * 
     * @return
     */
    public double getSubUCP() {
        return subUCP;
    }

    /**
     * 
     * @param subUCP
     */
    public void setSubUCP(double subUCP) {
        this.subUCP = subUCP;
    }




}
